KAFFE(1)

NAME
kaffe - a virtual machine to execute Java(tm) bytecode

SYNOPSIS
kaffe [-help] [-version] [-O] [-classpath path] [-ss size] [-verify] [-verify-remote] [-noverify] [-Dproperty] classname

DESCRIPTION
kaffe executes classfile containing Java bytecode, either as a pure bytecode interpreter, or by doing "just-in-time" code conversion from the abstract code to the host machine's native code.

OPTIONS

-help
    Give a short usage message.

-version
    Print the version number.

-O  Enable code optimisations. These are currently under development.

-ss size
    Set the maximum stack size to size

-classpath path
    Set the path which is searched for compiled classes, e.g. /usr/local/share/kaffe

-verify
    Verify all bytecode. Not implemented yet.

-verifyremote
    Verify bytecode obtained via the network. Not implemented yet.

-noverify
    Do not verify any bytecode.

-Dproperty=value
    Set a property to a given value.

CLASS

classname
    Java class name to invoke. Note that this is not the filename.

ENVIRONMENT

CLASSPATH
    A colon-separated list of directories in which to search for .class files.

KAFFEHOME
    Not documented yet.

LD_LIBRARY_PATH
    A colon-separated list of directories in which to search for libraries. See ld.so(1) for details. This needs to be set if Kaffe's shared libraries are installed in a location not part of the dynamic loader's default search path.

DIAGNOSTICS
Not documented yet.

NOTES
Java is a registered trademark of Sun Microsystems, Inc. Kaffe is available via FTP from various sites, the primary one being <ftp://ftp.tjwassoc.demon.co.uk>,1996. A Kaffe webpage can be found at <http://www.tjwassoc.demon.co.uk>,1996. There are several mailing lists for Kaffe:

kaffe@tjwassoc.demon.co.uk>, 1996.
    General Kaffe discussions

kaffe-announce@tjwassoc.demon.co.uk>, 1996.
    Kaffe related announcements

To subscribe to these lists send a message containing the word "subscribe" to <listname>-request@tjwassoc.demon.co.uk>,1996. Kaffe forms part of the Jolt project. This projects aims to develop the necessary components for a completely free version of the Java system. This includes the Kaffe virtual machine, the Guavac compiler, and the Kream class library. Information on this projects and its components can be found on the mailing list jolt-list@redhat.com or on the web pages http://www.redhat.com/jolt/.

BUGS
Support for graphical code is still under development. The just-in-time code conversion is not supported on all of the architectures. Optimisation is still under construction. Code verification is not implemented yet. Kaffe is still undergoing rapid development. Check the NOTES/BUGS file in the source distributions for known bugs not mentioned here.

AUTHOR
Kaffe was originally written by Tim Wilkinson <tim@tjwassoc.demon.co.uk>, 1996. Many others contributed to the Kaffe project. They are listed in the source distribution's NOTES/THANKS and NOTES/HELPERS files.

COPYING
Kaffe is distributed under a Berkeley style license. For full details, see the file license.terms in the source distribution for full details. Essentially you can use Kaffe for both personal and commerical purpose, on its own or as part of another package.

SEE ALSO
Guavac, the GNU Java compiler , David Engberg